Get image metadata | Moov Documentation

Get image metadata

Retrieve metadata for a specific image by its ID.

API Endpoint

GET

/accounts/{accountID}/images/{imageID}

Request Example

curl -X GET "https://api.moov.io/accounts/{accountID}/images/{imageID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Code Examples

JavaScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.images.getMetadata({
    accountID: "6cf66a43-31ce-4d27-8dd4-130fa57f0a6f",
    imageID: "7cec5bd3-6340-4de4-a923-bf6ec0f7e921",
  });

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->images->getMetadata(
    accountID: '6cf66a43-31ce-4d27-8dd4-130fa57f0a6f',
    imageID: '7cec5bd3-6340-4de4-a923-bf6ec0f7e921'
);

if ($response->imageMetadata !== null) {
    // handle response
}

Java

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetImageMetadataResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetImageMetadataResponse res = sdk.images().getMetadata()
                .accountID("6cf66a43-31ce-4d27-8dd4-130fa57f0a6f")
                .imageID("7cec5bd3-6340-4de4-a923-bf6ec0f7e921")
                .call();

if (res.imageMetadata().isPresent()) {
            System.out.println(res.imageMetadata().get());
        }
    }
}

Python

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.images.get_metadata(account_id="6cf66a43-31ce-4d27-8dd4-130fa57f0a6f", image_id="7cec5bd3-6340-4de4-a923-bf6ec0f7e921")

# Handle response
    print(res)

Ruby

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.images.get_metadata(account_id: '6cf66a43-31ce-4d27-8dd4-130fa57f0a6f', image_id: '7cec5bd3-6340-4de4-a923-bf6ec0f7e921')

unless res.image_metadata.nil?
  # handle response
end

C#

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Images.GetMetadataAsync(
    accountID: "6cf66a43-31ce-4d27-8dd4-130fa57f0a6f",
    imageID: "7cec5bd3-6340-4de4-a923-bf6ec0f7e921"
);

// handle response

Response Example

{
  "imageID": "string",
  "publicID": "string",
  "altText": "string",
  "link": "https://api.moov.io/images/qJRAaAwwF5hmfeAFdHjIb",
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z",
  "disabledOn": "2019-08-24T14:15:22Z"
}

Common Response Headers

Missing or expired authentication

Unauthorized request

Resource not found

Rate limiting

Unexpected error

Service failure

API Versioning

Set this header to v2026.07.00 to use the API described in this specification. Possible values: v2026.07.00.

Image Metadata Explanation